diff --git a/PKGBUILD b/git/PKGBUILD
index 347c53a..c179c0f 100644
--- a/PKGBUILD
+++ b/git/PKGBUILD
@@ -9,7 +9,7 @@ arch=(i686 x86_64)
 url="http://git-scm.com/"
 license=('GPL2')
 depends=('curl' 'expat>=2.0' 'perl-error' 'perl>=5.14.0' 'openssl' 'pcre')
-makedepends=('python2' 'emacs')
+makedepends=('python2' 'emacs' 'asciidoc' 'xmlto')
 optdepends=('tk: gitk and git gui'
             'perl-libwww: git svn'
             'perl-term-readkey: git svn'
@@ -39,6 +39,10 @@ build() {
 
   cd contrib/emacs
   make prefix=/usr
+
+  # git subtree
+  cd "$srcdir/git-$pkgver/contrib/subtree"
+  make prefix=/usr all doc
 }
 
 check() {
@@ -105,6 +109,12 @@ package() {
   # git-daemon via systemd socket activation
   install -D -m 644 "$srcdir"/git-daemon@.service "$pkgdir"/usr/lib/systemd/system/git-daemon@.service
   install -D -m 644 "$srcdir"/git-daemon.socket "$pkgdir"/usr/lib/systemd/system/git-daemon.socket
+
+  # git subtree
+  cd "$srcdir/git-$pkgver/contrib/subtree"
+  sed "s|libexec/git-core|lib/git-core|" -i Makefile
+  install -dm755 "$pkgdir/usr/lib/git-core"
+  make prefix=/usr DESTDIR="$pkgdir" install install-doc
 }
 
 md5sums=('83b792fd06066c77e1d4911ebba2d701'
